This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 243528 - Network install (using http or ftp) does not work
Network install (using http or ftp) does not work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 10:01 EDT by Andrea Bruna
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 17:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrea Bruna 2007-06-09 10:01:28 EDT
Description of problem:

The http and ftp installation methods of the official Fedora 7 for x86 DVD are
unreliable.

If you choose the installation by http, Anaconda adds a spurious slash between
the mirror address and the path to fedora directory 
( http://mirror.xyz.com//path/to/os/directory instead of
http://mirror.xyz.com/path/to/os/directory) and the download of stage2.img fails.

The ftp installation method instead works fine until the package download phase
where it fails with a similar issue (it tries to download from
ftp://mirror.xyz.com/%2F/path/to/os/Fedora/ instead of
ftp://mirror.xyz.com/path/to/os/Fedora )


Version-Release number of selected component (if applicable): 


How reproducible:
Start the installation from the official Fedora 7 i386 dvd and try to install by
http or ftp using any mirror. 

Steps to Reproduce:
1. Launch the installation of Fedora from the Dvd
2. Select any keoboard/language and then try to start second phase of the
installation from http or ftp 
3. put the mirror address and the path to Fedora 7 files and directory then
press return
  
Actual results:
Anaconda does not find the files needed for the installation/upgrade from internet.

Expected results:
Anaconda install Fedora 7 x86 by downloading the proper files from internet. 

Additional info:
Comment 1 Stian Moltubakk 2007-06-17 02:49:06 EDT
I can confirm the same problem, but on FTP anaconda add // betwen the server and
fedora location instead of only /.

When I try http something seamed to hapend and I left the computer on over the
night. When I got up the next morning nothing had hapend so I gave up and
downoaded the whole DVD iso and used hardisk install. 

I got a 64 bit version.
Comment 2 David Cantrell 2007-08-16 17:24:16 EDT
This has been fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.